Start a conformance run against an owned connection
curl --request POST \
--url https://evsim.synergyboat.com/api/v1/testing/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "<string>",
"suiteId": "<string>",
"module": "<string>"
}
'import requests
url = "https://evsim.synergyboat.com/api/v1/testing/runs"
payload = {
"connectionId": "<string>",
"suiteId": "<string>",
"module": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connectionId: '<string>', suiteId: '<string>', module: '<string>'})
};
fetch('https://evsim.synergyboat.com/api/v1/testing/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>"
}
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}Testing
Start a conformance run
Queue a conformance run against a registered connection you own, optionally scoped to one suite or module. Returns the run id to poll for the graded report.
POST
/
testing
/
runs
Start a conformance run against an owned connection
⌘I